DataSourceConnectionSourcesFactoryBean (Grails 6.0.0)

Package: org.grails.plugins.datasource

## [Groovy] Class DataSourceConnectionSourcesFactoryBean

- org.grails.plugins.datasource.DataSourceConnectionSourcesFactoryBean

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.FactoryBean<org.grails.datastore.mapping.core.connections.ConnectionSources<javax.sql.DataSource, org.grails.datastore.gorm.jdbc.connections.DataSourceSettings>>, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

      @groovy.transform.CompileStatic
      class DataSourceConnectionSourcesFactoryBean
      extends java.lang.Object
      implements org.springframework.beans.factory.FactoryBean<org.grails.datastore.mapping.core.connections.ConnectionSources<javax.sql.DataSource, org.grails.datastore.gorm.jdbc.connections.DataSourceSettings>>, org.springframework.beans.factory.InitializingBean, org.springframework.context.ApplicationContextAware

  A factory bean for creating the data sources

  Authors:
    Graeme Rocher
  Since:
    3.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private org.springframework.context.ApplicationContext` | `applicationContext` |
    `private org.springframework.core.env.PropertyResolver` | `configuration` |
    `private org.grails.datastore.mapping.core.connections.ConnectionSources<javax.sql.DataSource, org.grails.datastore.gorm.jdbc.connections.DataSourceSettings>` | `connectionSources` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `org.springframework.context.ApplicationContext` | `applicationContext`
    `org.springframework.core.env.PropertyResolver` | `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DataSourceConnectionSourcesFactoryBean (org.springframework.core.env.PropertyResolver configuration)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `afterPropertiesSet()`
    `` | `org.grails.datastore.mapping.core.connections.ConnectionSources<javax.sql.DataSource, org.grails.datastore.gorm.jdbc.connections.DataSourceSettings>` | `getObject()`
    `` | `java.lang.Class<?>` | `getObjectType()`
    `` | `boolean` | `isSingleton()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private org.springframework.context.ApplicationContext applicationContext

    - #### private final org.springframework.core.env.PropertyResolver configuration

    - #### private org.grails.datastore.mapping.core.connections.ConnectionSources<javax.sql.DataSource, org.grails.datastore.gorm.jdbc.connections.DataSourceSettings> connectionSources

  - ### Property Detail

    - #### org.springframework.context.ApplicationContext applicationContext

    - #### final org.springframework.core.env.PropertyResolver configuration

  - ### Constructor Detail

    - #### DataSourceConnectionSourcesFactoryBean(org.springframework.core.env.PropertyResolver configuration)

  - ### Method Detail

    - #### @java.lang.Override void afterPropertiesSet()

    - #### @java.lang.Override org.grails.datastore.mapping.core.connections.ConnectionSources<javax.sql.DataSource, org.grails.datastore.gorm.jdbc.connections.DataSourceSettings> getObject()

    - #### @java.lang.Override java.lang.Class<?> getObjectType()

    - #### @java.lang.Override boolean isSingleton()